# role_podman

Rôle de déploiement de podman.

## Pré-requis

Ce rôle créer un utilisateur dédié via [cet autre rôle](https://gitea.ykn.fr/ansible/role_users) dont il est dépendant.
L'utilisation de ce rôle et de sa dépendance dans un playbook nécessite d'utilise ansible-galaxy en lui indiquant un fichier dont le contenu est le suivant :

```bash
$ cd playbook_podman
$ tee requirements.yml <<EOF
---

roles:
  - name: users
    scm: git
    src: ssh://gitea@git.ykn.fr:12393/ansible/role_users.git
    version: alpha

  - name: podman
    scm: git
    src: ssh://gitea@git.ykn.fr:12393/ansible/role_podman.git
    version: alpha
EOF
$ ansible-galaxy install -fr requirements.yml
```

## Variables

### podman_containers

Définition des conteneurs à déployer.

<span style="text-decoration: underline">Valeur par défaut:</span> *aucune*

## Utilisation

Définir la variable `podman_containers` dans un fichier sous `host_vars` ou `group_vars` :

```bash
$ tee host_vars/lxd_podman_host.yml <<EOF
---

podman_containers:
  - image: docker.io/wallabag/wallabag:latest
    name: wallbag
    userns: keep-id
    volumes:
      - wallbag-data:/var/www/wallabag/data
      - wallbag-image:/var/www/wallabag/web/assets/images
    ports:
      - 80:80/tcp
    environment_vars:
      - SYMFONY__ENV__DOMAIN_NAME=https://wallbag.ykn.fr
```

Il est également possible de définir l'utilisateur via la variable `user`, comme ceci :

```bash
$ tee host_vars/lxd_podman_host.yml <<EOF
---

podman_containers:
  - image: docker.io/wallabag/wallabag:latest
    name: wallbag
    user: un_utilisateur
    userns: keep-id
    volumes:
      - wallbag-data:/var/www/wallabag/data
      - wallbag-image:/var/www/wallabag/web/assets/images
    ports:
      - 80:80/tcp
    environment_vars:
      - SYMFONY__ENV__DOMAIN_NAME=https://wallbag.ykn.fr
```
